| Extracted from Pike v7.8 release 700 at 2013-06-08.

[Top]
Stdio
Stdio.UDP

# Method Stdio.UDP()->enable_broadcast()

Method enable_broadcast

  `int(0..1) enable_broadcast()`

Description

  Set the broadcast flag. If enabled then sockets receive packets sent to a broadcast address and they are allowed to send packets to a broadcast address.

Returns

  Returns `1` on success, `0` (zero) otherwise.

Note

  This is normally only avalable to root users.